Package: mailman Version: 2.1.8-1 Severity: minor Tags: patch Hi!
It becomes increasingly popular to store /tmp, /var/run, and /var/lock on a tmpfs. Unfortunately this breaks packages which expect a persistent subdirectory there (this is a bit unclear in the LSB specification). Would you consider applying the attached patch, so that the directory is guaranteed to be present? Thank you! Martin -- Martin Pitt http://www.piware.de Ubuntu Developer http://www.ubuntu.com Debian Developer http://www.debian.org In a world without walls and fences, who needs Windows and Gates?
diff -u mailman-2.1.8/debian/mailman.init mailman-2.1.8/debian/mailman.init
--- mailman-2.1.8/debian/mailman.init
+++ mailman-2.1.8/debian/mailman.init
@@ -22,6 +22,14 @@
set -e
+if ! [ -d /var/run/mailman ]; then
+ install -d -o list -g list /var/run/mailman
+fi
+
+if ! [ -d /var/lock/mailman ]; then
+ install -d -o root -g list -m 2775 /var/lock/mailman
+fi
+
case "$1" in
start)
if [ "$(/var/lib/mailman/bin/list_lists -b | grep ^mailman$ )" = "" ];
then
signature.asc
Description: Digital signature

